1 Reply Latest reply on Aug 21, 2013 8:42 PM by Mike M

    help me Mac OS X version 10.4.11 1.5GHz G4

    123melloc

      I need serious HELP to install Adobe Flash Payer for my old laptop Mac OS X version 10.4.11 1.5GHz G4.

      I tried various downloads following the directions on  the link (because it is an old version) but it does not work.

      Can someone PLEASE help me? I need to download one that works.